<div id="signup" v-cloak>
  <div class="container-fluid pt-5 pb-5" v-if="!cloudSuccess">
    <h1 class="text-center">Crear una cuenta</h1>
    <div style="max-width: 450px;" class="mx-auto" >
      <p class="text-center">¡Empecemos! Convertirse en un miembro es gratis y sólo toma unos minutos.</p>
      <hr/>


      <ajax-form action="signup" :syncing.sync="syncing" :cloud-error.sync="cloudError" :form-errors.sync="formErrors" :form-data="formData" :form-rules="formRules" @submitted="submittedForm()">
        <div class="form-group">
          <label for="full-name">Nombre completo</label>
          <input class="form-control" id="full-name" type="text"  :class="[formErrors.fullName ? 'is-invalid' : '']" v-model.trim="formData.fullName" placeholder="Sturgis P. Sturgeon" autocomplete="name" focus-first>
          <div class="invalid-feedback" v-if="formErrors.fullName">Por favor ingrese su nombre completo.</div>
        </div>
        <div class="form-group">
          <label for="email-address">Dirección de correo electrónico</label>
          <input class="form-control" id="email-address" type="email"  :class="[formErrors.emailAddress ? 'is-invalid' : '']" v-model.trim="formData.emailAddress" placeholder="sturgeon@example.com" autocomplete="email">
          <div class="invalid-feedback" v-if="formErrors.emailAddress">Por favor ingrese una dirección de correo electrónico válida.</div>
        </div>
        <div class="form-group">
          <label for="password">Elija una contraseña</label>
          <input class="form-control" id="password" type="password"  :class="[formErrors.password ? 'is-invalid' : '']" v-model.trim="formData.password" placeholder="••••••••" autocomplete="new-password">
          <div class="invalid-feedback" v-if="formErrors.password">Por favor ingrese una contraseña.</div>
        </div>
        <div class="form-group">
          <label for="confirm-password">Confirmar contraseña</label>
          <input class="form-control" id="confirm-password" type="password"  :class="[formErrors.confirmPassword ? 'is-invalid' : '']" v-model.trim="formData.confirmPassword" placeholder="••••••••" autocomplete="new-password">
          <div class="invalid-feedback" v-if="formErrors.confirmPassword">Las contraseñas no coinciden.</div>
        </div>
        <div class="form-group">
          <label for="peso">Peso</label>
          <input class="form-control" id="peso" type="number"   v-model.trim="formData.peso" placeholder="150" autocomplete="150">
          </div>
        <div class="form-group">
          <label for="estatura">Estatura</label>
          <input class="form-control" id="estatura" type="number"   v-model.trim="formData.estatura" placeholder="150" autocomplete="150">
          </div>
        <div class="form-group form-check-inline">
          <input class="form-check-label" id="allergy1" type="checkbox" v-model="formData.allergy1">
            <label for="allergy1" class="form-check-label" >
              Vegetariano
            </label>
          </div>
        <div class="form-group form-check-inline">
          <input class="form-check-label" id="allergy2" type="checkbox" v-model="formData.allergy2">
            <label for="allergy2" class="form-check-label">
              Diabetico
            </label>
          </div>
        <div class="form-group form-check-inline">
          <input class="form-check-label" id="allergy3" type="checkbox" v-model="formData.allergy3">
            <label for="allergy3" class="form-check-label" >
              Intolerante a la Lactosa
            </label>
        </div>
        <div class="form-group form-check-inline">
          <input class="form-check-label" id="allergy4" type="checkbox" v-model="formData.allergy4">
            <label for="allergy4" class="form-check-label" >
              No consume mariscos
            </label>
        </div>
        <div class="form-group form-check-inline">
          <input class="form-check-label" id="allergy4" type="checkbox" v-model="formData.allergy5">
            <label for="allergy5" class="form-check-label" >
              Alergia al maní
            </label>
        </div>
        <div class="form-group form-check">
          <input class="form-check-input" id="terms-agreement" type="checkbox" v-model="formData.agreed">
          <label for="terms-agreement" class="form-check-label" :class="[formErrors.agreed ? 'text-danger' : '']">He leído &amp; y acepto <a target="_blank" href="/terms">los terminos de servicio</a>.</label>
        </div>
        <cloud-error v-if="cloudError==='emailAlreadyInUse'">Parece que ya hay una cuenta con su dirección de correo electrónico. Si olvidó su contraseña, se puede recuperar <a href="password/forgot">aquí</a>.</cloud-error>
        <cloud-error v-else-if="cloudError"></cloud-error>
        <div class="form-group">
          <ajax-button type="submit" :syncing="syncing" class="btn-dark btn-lg btn-block">Create account</ajax-button>
        </div>
      </ajax-form>


      <p class="text-center">¿Tienes una cuenta?  <a href="/login">Ingresar</a></p>
    </div>
  </div>
  <div class="container-fluid pt-5 pb-5" v-if="cloudSuccess">
    <h1 class="text-center">¡Compruebe su correo electrónico! :) </h1>
    <div class="text-center">
      <hr/>
      <p>Su cuenta está casi lista. Todo lo que tiene que hacer es hacer clic en el enlace que enviamos a <strong>{{formData.emailAddress}}</strong>.</p>
      <p>(Todavía puede acceder a su panel de control ahora, pero algunas características no estarán disponibles hasta que hayamos verificado su dirección de correo electrónico.)</p>
      <p><a class="btn btn-outline-info" href="/">Mi Tablero</a></p>
    </div>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
